Bug 63073 - pgcrypto install SQL incorrect in postgresql-contrib-7.2.1-3
pgcrypto install SQL incorrect in postgresql-contrib-7.2.1-3
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: postgresql (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-09 16:09 EDT by Pete Deffendol
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 18:43:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Deffendol 2002-04-09 16:09:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.9+)
Gecko/20020402

Description of problem:
The SQL commands to install the pgcrypto functions are incorrect as installed
with postgresql-contrib-7.2.1-3.  See file:

/usr/lib/pgsql/contrib/pgcrypto/pgcrypto.sql

The path to the pgcrypto library is not correct.  It reads:

/usr/lib/pgsql/contrib/pgcrypto/pgcrypto

It should be

/usr/lib/pgsql/contrib/pgcrypto/libpgcrypto.so



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Install postgresql-contrib-7.2.1-3.i386.rpm
2.  Execute /usr/lib/pgsql/contrib/pgcrypto/pgcrypto.sql in psql

	

Actual Results:  ERROR:  stat failed on file
'/usr/lib/pgsql/contrib/pgcrypto/pgcrypto': No such file or directory


Expected Results:  Creation of functions in the pgcrypto library.

Additional info:
Comment 1 Trond Eivind Glomsrxd 2002-04-10 19:39:32 EDT
Fixed in 7.2.1-4.

Note You need to log in before you can comment on or make changes to this bug.